package org.josast.app.amicalsat.cli;

import java.util.Vector;

import org.apache.commons.cli.ParseException;
import org.josast.app.amicalsat.cli.option.Cmd;
import org.josast.app.amicalsat.cli.option.OptionsAnalysis;

public class AmicalsatCli {
 
 



	public AmicalsatCli(String[] args) {
		OptionsAnalysis opt=new OptionsAnalysis(args); 
		Vector<Cmd> vec = opt.getCommandes();
		 for(Cmd cmd : vec){ 
	           cmd.excute();; 
		 }
	}






	public static void main(String[] args) throws ParseException {



		AmicalsatCli cli = new AmicalsatCli(args);
		

	}

}
